
From: Adrian Bunk <bunk@fs.tum.de>

drivers/scsi/aic7xxx_old.c: In function `aic7xxx_release':
drivers/scsi/aic7xxx_old.c:10971: warning: implicit declaration of function `pci_release_regions'


---

 25-akpm/drivers/scsi/aic7xxx_old.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/scsi/aic7xxx_old.c~fix-aic7xxx_oldc-for-pci drivers/scsi/aic7xxx_old.c
--- 25/drivers/scsi/aic7xxx_old.c~fix-aic7xxx_oldc-for-pci	2004-05-12 21:05:25.385322592 -0700
+++ 25-akpm/drivers/scsi/aic7xxx_old.c	2004-05-12 21:05:25.396320920 -0700
@@ -9675,7 +9675,9 @@ aic7xxx_detect(Scsi_Host_Template *templ
           found++;
 	  continue;
 skip_pci_controller:
+#ifdef CONFIG_PCI
 	  pci_release_regions(temp_p->pdev);
+#endif
 	  kfree(temp_p);
         }  /* Found an Adaptec PCI device. */
         else /* Well, we found one, but we couldn't get any memory */
@@ -10967,8 +10969,10 @@ aic7xxx_release(struct Scsi_Host *host)
 #endif /* MMAPIO */
   if(!p->pdev)
     release_region(p->base, MAXREG - MINREG);
+#ifdef CONFIG_PCI
   else
     pci_release_regions(p->pdev);
+#endif
   prev = NULL;
   next = first_aic7xxx;
   while(next != NULL)

_
